import base.commitHook
import os, commands

class syntaxCheck(base.commitHook.commitHook):
	
	def filesFailedLoop(self, output):
		self.abort=True
		print "="*10, "syntax errors", "="*10
		for tmp in output:
			print tmp[1]
		print "="*10, "end syntax errors", "="*10
	
	def checkFile(self, fileName):
		extension=os.path.splitext(fileName)[1].lower()
		if not self.config.has_key(extension):
			return (0, '')

		args=self.config[extension]+" '"+fileName+"'"
		status, out = commands.getstatusoutput(args)
		if status != 0:
			self.filesFailed=True	
		return (status, out)