import os, commands, re
import base.commitHook

class commitProtector(base.commitHook.commitHook):
	#this module only activates on "svn commit"
	
	def filesFailedLoop(self, output):
		self.abort=True
		print "="*10, "Commit Protector", "="*10
		for tmp in output:
			print tmp[1]
		print "="*10, "end Commit Protector", "="*10
	
	def checkFile(self, fileName):
		status=0
		extension=os.path.splitext(fileName)[1].lower()[1:]
		
		# get the default search string
		search_string = self.config.get('default', '')
		# get the search string for the extension, if it exists, otherwise fall back to the default
		search_string = self.config.get(extension, search_string )
		
		# abort on blank search
		if len(search_string.strip()) == 0:
			return (status, '')
		
		tmpArgs=(self.parent.real_svn, '--non-interactive', 'diff', fileName)
		out="".join(os.popen2(tmpArgs)[1].readlines())
		
		if re.search(search_string, out) is not None:
			status=1
			self.filesFailed=True
			print fileName + " failed\n"
			
		if status==0:
			out=''
			# we only need to keep the output if the file failed the check
		return (status, out)
